* {
  transition: all .25s ease-in-out;
}
html, body {
  margin: 0;
  padding: 0;
  font-family: 'Gatwick';
}
body {
  overflow: hidden;
  -webkit-animation: fadein 4s;
  -moz-animation: fadein 4s;
  -ms-animation: fadein 4s;
  -o-animation: fadein 4s;
  animation: fadein 4s;
}
canvas {
  display: block;
  position: absolute;
  z-index: 0;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
h1 {
  margin: 0;
}
button {
    appearance: none;
    outline: 0;
    border: 0;
    background: transparent;
    font-size: 3rem;
    cursor: pointer;
    background-color: transparent;
    border-radius: 25px;
    padding: 6px;
    line-height: 2rem;
}

button:hover {
    background-color: black;
    color: white;
}


#p5_loading {
  width: 100vw;
  height: 100vh;
  background-color: white;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 10;
}
.container {
    max-width: 720px;
    width: 100%;
    border: 1px solid;
    position: absolute;
    z-index: 1;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.header {
    padding: 30px;
    border-bottom: 1px solid;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.header h2 {
  text-transform: uppercase;
  font-size: 1rem;
  -webkit-animation: fadein 4s alternate infinite ;
  -moz-animation: fadein 4s alternate infinite;
  -ms-animation: fadein 4s alternate infinite;
  -o-animation: fadein 4s alternate infinite;
  animation: fadein 4s alternate infinite;
}
.grid-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 0px 0px;
  grid-template-areas:
    "box-01 box-02 box-03"
    "box-04 box-05 box-06";
}
.box {
  padding: 30px;
  position: relative;
  background-color: transparent;
}
.box:hover {
  background-color: rgba(255,255,255,.2);
}
.box-01 { grid-area: box-01; border-bottom: 1px solid; border-right: 1px solid;}

.box-02 { grid-area: box-02; border-bottom: 1px solid; border-right: 1px solid;}

.box-03 { grid-area: box-03; border-bottom: 1px solid; }

.box-04 { grid-area: box-04; border-right: 1px solid;}

.box-05 { grid-area: box-05; border-right: 1px solid;}

.box-06 { grid-area: box-06; }

.track-number { font-weight: bold; }
.track-title {
    font-size: 2rem;
    font-weight: bold;
    margin-bottom: 60px;
}
.seed-number {
    text-align: right;
}
.player-ui {
  position: absolute;
  bottom: 30px;
}
@media all and (-ms-high-contrast:none) {
  .grid-container {
    display: -ms-grid;
    -ms-grid-columns: repeat(3, 1fr);
    -ms-grid-rows: repeat(3, 1fr);
  }

  .header {
    -ms-grid-row: 1;
    -ms-grid-row-span: 1;
    -ms-grid-column: 1;
    -ms-grid-column-span: 3;
  }

  .box-01 {
    -ms-grid-row: 2;
    -ms-grid-row-span: 1;
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
  }

  .box-02 {
    -ms-grid-row: 2;
    -ms-grid-row-span: 1;
    -ms-grid-column: 2;
    -ms-grid-column-span: 1;
  }

  .box-03 {
    -ms-grid-row: 2;
    -ms-grid-row-span: 1;
    -ms-grid-column: 3;
    -ms-grid-column-span: 1;
  }

  .box-04 {
    -ms-grid-row: 3;
    -ms-grid-row-span: 1;
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
  }

  .box-05 {
    -ms-grid-row: 3;
    -ms-grid-row-span: 1;
    -ms-grid-column: 2;
    -ms-grid-column-span: 1;
  }

  .box-06 {
    -ms-grid-row: 3;
    -ms-grid-row-span: 1;
    -ms-grid-column: 3;
    -ms-grid-column-span: 1;
  }
}

.mobile {
  overflow: visible!important;
}
.mobile .header {
    display: block;
}
.mobile .container {
  position: relative;
  top: 0;
  left: 0;
  z-index: 1;
  transform: none;
}
.mobile .grid-container {
  display: block;
}
.mobile canvas {
    position: fixed;
    top: 50%;
    left: 50%;
    z-index: 0;
    height: 100%!important;
}
@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

@-moz-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

@-webkit-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

@-ms-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

@-o-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}
